> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.yunojuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.yunojuno.com/_mcp/server.

# Update a client contact's custom fields

POST https://api.yunojuno.com/client_contacts/{client_contact_id}/custom_fields/
Content-Type: application/json

Update the custom fields for a client contact.

Client contact custom fields are client-defined metadata (for example CRM IDs or account references). Only the supplied fields are validated and updated; other fields remain unchanged.

Reference: https://docs.yunojuno.com/client-api/client-contacts/custom-fields-create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `client_contact_id` (string, required)

### Body (application/json)

This endpoint expects an UpdateClientContactCustomFields.

- `custom_fields` (list of CustomField, required) — An array of custom fields to update for the client contact.

## Response

### 200

- `data` (ClientContact, required) — The client contact object. This object represents the lifetime relationship between a client and a freelancer on the platform.

## Types

### CustomField

Represents a single custom field.

- `name` (string, required) — The name of the custom field.
- `value` (string, required) — The value of the custom field.

### ClientContact

The client contact object. This object represents the lifetime relationship between a client and a freelancer on the platform.

- `client_contact_id` (string, required)
- `freelancer_id` (string, required)
- `custom_fields` (list of CustomField, required) — An array of custom fields to apply only when creating a new client contact.
- `url` (string, required) — The fully-qualified URL of the client contact detail page

## Examples

**Request**

```json
{
  "custom_fields": [
    {
      "name": "string",
      "value": "string"
    }
  ]
}
```

**Response**

```json
{
  "data": {
    "client_contact_id": "string",
    "freelancer_id": "string",
    "custom_fields": [
      {
        "name": "string",
        "value": "string",
        "metadata": null
      }
    ],
    "url": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/"

payload = { "custom_fields": [
        {
            "name": "string",
            "value": "string"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"custom_fields":[{"name":"string","value":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/"

	payload := strings.NewReader("{\n  \"custom_fields\": [\n    {\n      \"name\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"custom_fields\": [\n    {\n      \"name\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"custom_fields\": [\n    {\n      \"name\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/', [
  'body' => '{
  "custom_fields": [
    {
      "name": "string",
      "value": "string"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"custom_fields\": [\n    {\n      \"name\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["custom_fields": [
    [
      "name": "string",
      "value": "string"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```